#include <vector>
#include <algorithm>
#include <iostream>

/* A very easy way to leverage the STL to write a median function */
/* Note, you could always use std::nth_element instead of std::sort */
int
main (int argc, char ** argv)
{
  srand (time (0));

  /* Find the median of 99 random floats */
  std::vector<float> values;
  
  /* Reserve space (don't keep reallocating) */
  values.reserve (99);

  /* Add the values */
  for (int i = 0; i < 99; ++i)
  {
    values.push_back (rand ());
  }

  /* Sort the values */
  sort (values.begin (), values.end ());
// for (std::vector<int>::iterator i = values.begin(); i != values.end(); ++i)
  std::cout << values [99/2] << std::endl;

  return 0;
}
