#include <opencv/cv.h>

/* Keep in mind, the function call version is slower */

int
main (int argc, char ** argv)
{
  IplImage * image = cvCreateImage (cvSize (640, 480), IPL_DEPTH_32F, 1);
  
  /////////////////////
  float value = CV_IMAGE_ELEM (image, float, 0, 0);
  //       OR        //
  CvScalar s = cvGet2D (image, 0, 0);
  float value = s.val [0];
  /////////////////////

  /////////////////////
  CV_IMAGE_ELEM (image, float, 0, 0) = 5;
  //       OR        //
  CvScalar s;
  s.val [0] = 5;
  cvSet2D (image, 0, 0, s);
  /////////////////////

  cvReleaseImage (&image);
  return 0;
}
